// subor FoodSpace.java

import swarm.*;

import swarm.Globals;

import swarm.defobj.Zone;
import swarm.space.Discrete2d;
import swarm.space.Discrete2dImpl;

public class FoodSpace extends Discrete2dImpl
{
	public boolean debug = false;
	
	public int worldXSize, worldYSize;
	
	public FoodSpace(Zone aZone, int x, int y)
	{
		super(aZone, x, y);
		worldXSize = x;
		worldYSize = y;
	}
	
	
	public Object seedFoodWithProb(double seedProb)
	{
		for(int y = 0; y < worldXSize; y++)
			for(int x = 0; x < worldYSize; x++)
					if(Math.random() < seedProb)
					{
						if(debug)
							System.out.println("x = " + x + "   y = " + y);
					this.putValue$atX$Y(1, x, y);
					}
		return this;
	}

}

